Skip to content
Developers
Get an API token

Novi Data v3 API

Retrieve paginated well tests data

Fetching well tests filtered by column1 = value1 and column2 = value2 looks like this: /api/v3/well_tests.json?q[Column1_eq]=value1&q[column2_eq]=value2

Retrieve paginated well tests data

GET/well_tests

Fetching well tests filtered by column1 = value1 and column2 = value2 looks like this: /api/v3/well_tests.json?q[Column1_eq]=value1&q[column2_eq]=value2

Send the token from POST /sessions in the authentication-token header or the authentication_token query parameter. Authentication

Results can be rolled up with agg_function, agg_columns, agg_group_by_columns and join_table.

Parameters

Query parameters

  • scopestringOptional

    Default "us-horizontals"

    The dataset: us-horizontals (US horizontals), gom (Gulf of Mexico) or us-onshore (US onshore). Defaults to us-horizontals.

    "us-horizontals""gom""us-onshore"
  • pagenumberOptional

    Page number for pagination

  • qobjectOptional

    Filter with Ransack matchers, for example q[Basin_eq]=Permian. See Ransack search matchers.

  • agg_functionstringOptional

    Specify the aggregate function: SUM, MAX, MIN, AVG, COUNT or COUNTD.

  • agg_columnsstringOptional

    Specify the column name(s) to apply the aggregate function to. For example, OilPerDay, GasPerDay performs SUM(OilPerDay), SUM(GasPerDay) when agg_function is SUM. Column names are case-sensitive.

  • agg_group_by_columnsstringOptional

    Specify the column name(s) to group the results by, such as Basin, State, County. Column names are case-sensitive.

  • join_tablestringOptional

    Specify the table to join with, for example Wells. Case-sensitive.

Responses

200 OK

Paginated well tests data, as JSON.

The OpenAPI document has no schema for this response.